property

  {HTMLElement} container

property

  {string} url

property

  {import("ol/source/Vector").default<unknown>} source

property

  {import("ol/View").default} view

### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- autocomplete_
- format_
- source_
- url_
- view_

### Methods

- getResultValue_
- hasGeometry_
- onSubmit_
- search_

## Constructors

### constructor

- new default(options: SearchOptions): default

- - Defined in api/src/Search.js:38

  #### Parameters

  - ##### options: SearchOptions

    API options.

  #### Returns default

## Properties

### autocomplete_

autocomplete_: any

- Defined in api/src/Search.js:54

### format_

format_: GeoJSON

- Defined in api/src/Search.js:39

### source_

source_: VectorSource<unknown>

- Defined in api/src/Search.js:43

### url_

url_: URL

- Defined in api/src/Search.js:41

### view_

view_: View

- Defined in api/src/Search.js:45

## Methods

### getResultValue_

- getResultValue_(result: Feature<Geometry, {}>): string

- - Defined in api/src/Search.js:91

  #### Parameters

  - ##### result: Feature<Geometry, {}>

  #### Returns string

### hasGeometry_

- hasGeometry_(feature: Feature<Geometry, {}>): boolean

- - Defined in api/src/Search.js:83

  #### Parameters

  - ##### feature: Feature<Geometry, {}>

  #### Returns boolean

### onSubmit_

- onSubmit_(result: Feature<Geometry, {}>): void

- - Defined in api/src/Search.js:98

  #### Parameters

  - ##### result: Feature<Geometry, {}>

  #### Returns void

### search_

- search_(input: string): Promise<Feature<Geometry, {}>[]>

- - Defined in api/src/Search.js:65

  #### Parameters

  - ##### input: string

  #### Returns Promise<Feature<Geometry, {}>[]>

Generated using TypeDoc